%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		file-roller
Version:	3.42.0
Release:	%mkrel 1
Summary:	An archive manager for GNOME
Summary(de):	Ein Archiv Manager fr GNOME
Group:		Archiving/Compression
License:	GPLv2+
URL:		http://download.gnome.org/sources/file-roller/
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
#-------------------------------------------
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64json-glib-devel
BuildRequires: lib64magic-devel
BuildRequires: lib64notify-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64archive-devel
BuildRequires: lib64sm-devel
BuildRequires: autoconf
BuildRequires: gnome-common
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: libxml2-utils
#-------------------------------------------
Requires(pre):	GConf2
Requires:	gtk+3.0
Requires:	gsettings-desktop-schemas
Requires:	gnome-themes-standard
Requires:	gnome-icon-theme-symbolic
Requires:	p7zip
Obsoletes:	file-roller-nautilus
Conflicts:	legacy-file-roller

%description
File Roller is an archive manager for the GNOME environment. 
 
This means that you can: 
- create and modify archives 
- view the content of an archive 
- view a file contained in the archive 
- extract files from the archive.

File Roller is only a front-end (a graphical interface) 
to archiving programs like tar and zip. 

The supported file types are :
 * Tar archives uncompressed (.tar) or compressed with
 * gzip (.tar.gz , .tgz)
 * bzip (.tar.bz , .tbz)
 * bzip2 (.tar.bz2 , .tbz2)
 * compress (.tar.Z , .taz)
 * lzop (.tar.lzo , .tzo)
 * lzma (.tar.lzma , .tlz)
 * Zip archives (.zip)
 * Jar archives (.jar , .ear , .war)
 * Lha archives (.lzh)
 * Rar archives (.rar)
 * Single files compressed with: 
   * gzip, 
   * bzip, 
   * bzip2, 
   * compress, 
   * lzop, 
   * lzma
 * ISO images
 * RPM (only read)

%description -l de
File-roller ist ein Archiv-Manager fr die GNOME Umgebung.
 
Dies bedeutet, du kannst: 
- Archive erstellen und ndern
- den Inhalte eines Archives anschauen 
- die enthaltenen Dateien innerhalb des Archives anschauen 
- Dateien des Archivs extrahieren. 

File Roller ist nur eine Oberflche (eine grafische Darstellung) 
fr Programm Archive wie tar und zip. 

Die untersttzten Dateitypen sind dabei:
 * Tar Archive Unkomprimiert (.tar) oder komprimiert mit
 * gzip (.tar.gz , .tgz)
 * bzip (.tar.bz , .tbz)
 * bzip2 (.tar.bz2 , .tbz2)
 * komprimiert (.tar.Z , .taz)
 * lzop (.tar.lzo , .tzo)
 * lzma (.tar.lzma , .tlz)
 * Zip Archive (.zip)
 * Jar Archive (.jar , .ear , .war)
 * Lha Archive (.lzh)
 * Rar Archive (.rar)
 * Einzelne Dateien komprimiert mit:
   * gzip, 
   * bzip, 
   * bzip2, 
   * komprimiert, 
   * lzop, 
   * lzma
 * Iso Abbilder
 * RPM Archive (nur lesen)

%package	doc
Summary:	Documentation for %name
Group:		Documentation
Requires:	%name
BuildArch:	noarch

%description	doc
This package contains the documentation for %name.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install



desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Compression" \
  --remove-not-show-in="KDE" \
  --add-category="X-MandrivaLinux-System-Archiving-Compression" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/org.gnome.FileRoller.desktop

# I hate generic names in menu
perl -pi -e "s|Name=Archive Manager|Name=File Roller|" $RPM_BUILD_ROOT%{_datadir}/applications/org.gnome.FileRoller.desktop

%find_lang %{name} --with-gnome --all-name

# remove unpackaged files
rm -f %{buildroot}%{_libdir}/nautilus/extensions-3.0/*.{la,a}
rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache
rm -rf %{buildroot}/var/scrollkeeper

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files -f %{name}.lang
%{_bindir}/file-roller
%{_datadir}/file-roller
%{_datadir}/applications/org.gnome.FileRoller.desktop
%{_libexecdir}/file-roller
%{_datadir}/dbus-1/services/org.gnome.FileRoller.service
%{_datadir}/dbus-1/services/org.gnome.ArchiveManager1.service
%{_datadir}/icons/hicolor/*/apps/org.gnome.ArchiveManager*.*
%{_datadir}/glib-2.0/schemas/org.gnome.FileRoller.gschema.xml
%{_datadir}/metainfo/org.gnome.FileRoller.appdata.xml

%files doc
%defattr(-,root,root)
%{_datadir}/help


%changelog
* Sun Sep 11 2022 tex - 3.42.0-1pclos2022
- new version

* Mon May 03 2021 tex - 3.40.0-1pclos2021
- new version

* Sun Sep 13 2020 tex - 3.38.0-1pclos2020
- new version

* Mon Aug 10 2020 tex - 3.36.3-1pclos2020
- new version

* Sun Mar 29 2020 tex - 3.36.1-1pclos2020
- new version

* Sun Mar 08 2020 tex - 3.36.0-1pclos2020
- new version

* Sun Nov 24 2019 tex - 3.32.3-1pclos2019
- new version

* Mon Sep 09 2019 tex - 3.32.2-1pclos2019
- new version

* Thu Jan 11 2018 Zen Subz <techars21 at gmail dot com> - 3.22.3-1pclos2018
- Update to latest release in v3.22.x series

* Fri Apr 01 2016 bb <bb> 3.12.2-3pclos2016
- remove notshowin=kde

* Wed May 14 2014 bb <bb> 3.12.2-2pclos2014
- add dep gnome-icon-theme-symbolic

* Tue May 13 2014 bb <bb> 3.12.2-1pclos2014
- update

* Wed Dec 11 2013 billybot <billybot> 3.8.4-2pclos2013
- apply rar5 patch

* Tue Oct 22 2013 billybot <billybot> 3.8.4-1pclos2013
- update

* Wed Jul 31 2013 Texstar <texstar at gmail.com> 3.8.3-1pclos2013
- update

* Fri Jun 14 2013 Texstar <texstar at gmail.com> 3.4.1-2pclos2013
- rebuild

* Sat Apr 21 2012 Neal <nealbrks0 at gmail dot com> 3.4.1-1pclos2012
- process

* Sat Apr 21 2012 leiche <meissw01 at gmail.com> 3.4.1-1pclos2012
- 3.4.1

* Fri Apr 06 2012 leiche <meisssw01 at gmail.com> 3.4.0-1pclos2012
- 3.4.0

* Wed Feb 08 2012 Neal <nealbrks0 at gmail dot com> 3.2.2-2pclos2012
- process

* Sun Jan 05 2012 siamer <siamer@wp.pl> 3.2.2-2pclos2012
- enable-nautilus-actions ---- it's nice to have "extract here" option in nautilus

* Wed Dec 14 2011 Texstar <texstar at gmail.com> 3.2.2-1pclos2011
- 3.2.2

* Wed Oct 18 2011 Texstar <texstar at gmail.com> 3.2.1-1pclos2011
- 3.2.1

* Tue Sep 27 2011 Texstar <texstar at gmail.com> 3.2.0-1pclos2011
- 3.2.0

* Thu Sep 22 2011 Texstar <texstar at gmail.com> 3.1.92-1pclos2011
- 3.1.92

* Sun Sep 18 2011 Texstar <texstar at gmail.com> 3.1.91-2pclos2011
- disable nautilus actions for now to avoid dependencies

* Mon Sep 12 2011 Texstar <texstar at gmail.com> 3.1.91-1pclos2011
- 3.1.91

* Fri Apr 29 2011 Texstar <texstar at gmail.com> 2.32.2-1pclos2011
- 2.32.2

* Mon Nov 15 2010 Texstar <texstar at gmail.com> 2.32.1-1pclos2010
- 2.32.1

* Tue Sep 28 2010 siamer <Siamer@wp.pl> 2.32.0-1pclos2010
- new version

* Tue Jun 22 2010 siamer <siamer@wp.pl> 2.30.2-1pclos2010
- new version

* Mon Apr 26 2010 Texstar <texstar at gmail.com> 2.30.1-1pclos2010
- 2.30.1

* Tue Mar 30 2010 siamer <siamer@wp.pl> 2.30.0-1pclos2010
- new version

* Sat Jan 02 2010 Texstar <texstar at gmail.com> 2.28.2-2pclos2010
- rebuild
